Quoteing rubytuzdayz / yahoo.com, on Wed, Jan 21, 2004 at 12:25:01AM +0900:
> To install ruby-ldap, I need an ldap server/sdk ...Where do I get the
> windows binaries for the (open) ldap server?

I've never used ruby-ldap, but I've used the openldap sdk on windows.

I didn't find binaries of the sdk, though you can find server binaries
easily enough.

But, like me, you don't need the server, probably, just the sdk.

Download the openldap source, it comes with Dev Studio project files.
Build only the projects you need (libber, libldap, another?) from the
mega-project (the clients and servers need sasl, and other libraries
you might not have).

Hope that helps a little.


+++ OR +++

MS's ActiveDirectory comes with an LDAP API based on the UofMich RFCs.
It's almost identical to the OpenLdap APIs. If nobody has done it yet,
the ruby ldap should compile against the MS ldap APIs on windows, it
solves a lot of problems (like your problem!).

Cheers,
Sam